Results 1 to 10 of 10

Thread: BeginOpen Event - need an event that will execute whenever a drawing is opened

Threaded View

Previous Post Previous Post   Next Post Next Post
  1. #1
    Member
    Join Date
    2006-12
    Posts
    4
    Login to Give a bone
    0

    Default BeginOpen Event - need an event that will execute whenever a drawing is opened

    I looked up the BeginOpen Event with Autocad VBA Help I got the code displayed below. Problem is the Example_AcadApplication_Events sub has to be executed before it will work. I need an event that will execute whenever a drawing is opened (even if ACAD is opened by double clicking a .dwg file.

    Code:
    Public WithEvents acadApp As AcadApplication
    
    Sub Example_AcadApplication_Events()
        ' This example intializes the public variable (ACADApp) which will be used
        ' to intercept AcadApplication Events
        '
        ' The VBA WithEvents statement makes it possible to intercept an generic object
        ' with the events associated with that object.
        '
        ' Before you will be able to trigger any of the AcadApplication events,
        ' you will first need to run this procedure.
        
        ' We could get the application from the ThisDocument object, but that would
        ' require having a drawing open, so we grab it from the system.
        Set acadApp = GetObject(, "AutoCAD.Application.16")
    End Sub
    
    Private Sub ACADApp_BeginOpen(FileName As String)
        ' This example intercepts an Application BeginOpen event.
        '
        ' This event is triggered when a drawing is opened by AutoCAD.
        '
        ' To trigger this example event:
        '     1) Make sure to run the example that initializes
        '     the public variable (named ACADApp) linked to this event.
        '
        '     2) Use AutoCAD to open an existing drawing
    
        ' Use the "FileName" variable to determine which drawing file is being opened
        MsgBox "A drawing is about to be loaded from: " & FileName
    End Sub
    Last edited by jack.ryan; 2007-02-12 at 10:05 PM. Reason: [CODE] tags added

Similar Threads

  1. Execute command on DocumentCreated event problem
    By Alexey Nis in forum Dot Net API
    Replies: 2
    Last Post: 2011-05-08, 12:47 PM
  2. ViewActivated Event
    By Phillip_Miller in forum Revit - API
    Replies: 5
    Last Post: 2010-08-04, 10:06 PM
  3. Replies: 4
    Last Post: 2005-01-24, 10:23 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •